echo off
cls
echo ***************************************************************
echo *   Canine Express  Installation Batch File for  K9X  vSW88   *
echo *   Copyright 1990 Crater Rim Software. All rights reserved   *
echo *      - - - - - - - - - - - - - - - - - - - - - - - - -      *
echo *  This batch file will create the required directories  and  *
echo *  subdirectories used by K9X and Move all of the files into  *
echo *  their respective areas. If you're already using K9X v8.6,  *
echo *  please stop the installation process and delete  K9X, all  *
echo *  of its overlay files (*.000), K9XCNF.COM  and  K9XCNF.000  *
echo *  from the K9X directory. DO NOT delete any of the files in  *
echo *  your current SUPP and LOGS directories!  Just answer N to  *
echo *  the overwrite prompt during the installation process.      *
echo *                                                             *
echo *  If you are using a pre v8.6 version of K9X, you will also  *
echo *  have to re-create your dialing directory (K9X.P)  OR  log  *
echo *  on to MiniNet and download the file K9XCONV.ZIP to obtain  *
echo *  the necessary conversion utilities that will convert your  *
echo *  current support files to v8.7x to v8.8x  format.           *
echo *                                                             *
echo *  Do you wish to install  K9X  now?                          *
echo ***************************************************************
waitkey "yn","Press Y for Yes  or  N for No ",0
if errorlevel 2 goto done
echo . Ok!
md \K9X
md \K9X\SUPP
md \K9X\LOGS
move K9X.COM \K9X
move K9XSW88.0* \K9X
move JBA.COM \K9X
move KTREE.COM \K9X
move LICENSE.K9X \K9X
move ORDER.FRM \K9X
move WHATSNEW.88 \K9X
move INSTALL.DOC \K9X
move PACKING.LST \K9X
move K9X.PRE \K9X\SUPP
copy WAITKEY.EXE \K9X >nul
cls
echo ***************************************************************
echo *  There are 2 pre-made  K9X  configuration files available.  *
echo *  You may select one of them or configure K9X from scratch.  *
echo *     A - Configure K9X from scratch                          *
echo *     B - Color or mono card and Mono Monitor                 *
echo *     C - Color Card and Color Monitor                        *
echo *  Which configuration whould you like? (A/B/C)               *
echo ***************************************************************
Waitkey "abc","Press A, B  or  C  please ",0
echo . Ok!
if errorlevel 3 goto color
if errorlevel 2 goto bw
del COLOR.CNF
del B&W.CNF
goto scratch
:color
ren COLOR.CNF K9X.CNF
del B&W.CNF
goto gotit
:bw
ren B&W.CNF K9X.CNF
del COLOR.CNF
:gotit
move K9X.CNF \K9X\SUPP
:scratch
del move.com
del waitkey.exe
cd\K9X
cls
echo ****************************************************************
echo *  The drive table consists of all directories/subdirectories  *
echo *  on your system beginning with drive letter C   Do you wish  *
echo *  to create the K9X File Find Drive Table Now?                *
echo ****************************************************************
waitkey "yn","Press Y for Yes  or  N for No ",0
echo . Ok!
if errorlevel 2 goto next
KTREE
:next
del waitkey.exe
K9X p
cls
echo **************************************************************
echo *  Be sure to DELete the INSTALL.BAT from your installation  *
echo *  starting point - and take a minute to read the licensing  *
echo *  agreement and documentation!                              *
echo *     - - - - - - - - - - - - - - - - - - - - - - - - -      *
echo *  There are still some files missing - namely the external  *
echo *  protocol drivers.  These files are contained in  K9X88-3  *
echo *  and must be present in order to use all of the available  *
echo *  protocols. The  PACKING.LST  in your K9X directory shows  *
echo *  the filenames and where they should be placed.            *
echo *     - - - - - - - - - - - - - - - - - - - - - - - - -      *
echo *  Thankyou for supporting our efforts to provide you with   *
echo *  the  BEST  comm package available to date!                *
echo *                                                            *
echo *   Thanks again! Keep the Faith and... Enjoy!               *
echo *                          Sal Manaro                        *
echo **************************************************************
:done
